Skip to main content
`Ctrl`+`K`

# MatRegisterAll

Registers all of the matrix types in PETSc

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRegisterAll(void)

Not Collective

## See Also

`MatType`, `MatSetType()`, `MatRegister()`

## Level

advanced

## Location

src/mat/interface/matregis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages